NAME="tmux"
DESC="An asynchronous event notification software library"
VERSION="3.3a"
FILES=(
  "https://github.com/tmux/tmux/releases/download/$VERSION/tmux-$VERSION.tar.gz"
  "nullpointer_fix.patch"
)
HASHES=(
  "e4fd347843bd0772c4f48d6dde625b0b109b7a380ff15db21e97c11a4dcdf93f"
  "2496335aef9436db5f5de8860c5528ed3e910eb93d986bf044fcb1f2b5e79250"
)
DEPENDS=("libevent" "ncurses")

PACKAGE() {
  tar xf $NAME-$VERSION.tar.gz
	cd $NAME-$VERSION

	patch -Np1 -i $ROOTDIR/nullpointer_fix.patch
	autoreconf -fi

	./configure \
		--prefix=/usr \
		--enable-systemd
	make && make DESTDIR=$ROOTDIR install 

  cd .. && rm -rf $NAME-$VERSION
}
